use crate::app::{SharedApp, SharedLocalApp};

use super::FileReader;

pub trait FileReaderExt {
    fn file_reader(&self) -> FileReader;
}

impl FileReaderExt for SharedApp {
    fn file_reader(&self) -> FileReader {
        FileReader::new()
    }
}

impl FileReaderExt for SharedLocalApp {
    fn file_reader(&self) -> FileReader {
        FileReader::new()
    }
}
